﻿$ErrorActionPreference = 'Stop';

$packageName = 'potplayer'
 
$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'       
    url            = 'https://t1.daumcdn.net/potplayer/PotPlayer/Version/Latest/PotPlayerSetup.exe'
    url64bit       = 'https://t1.daumcdn.net/potplayer/PotPlayer/Version/Latest/PotPlayerSetup64.exe'   
    checksum       = '4FCB5F7171A05106ED395EE6A86C5E3814B08D6715C537B95E426E3A74991292'
    checksumType   = 'sha256'
    checksum64     = '11DC7970CAD9BD9839DCEB7F242DDB0DD8F336AC0FAA8F5498051A32A5253DAB'
    checksumType64 = 'sha256'    
    silentArgs     = '/S'
	validExitCodes = @(0);
}

echo "If an older version of PotPlayer is running on this machine, it will be closed prior to the installation of the newer version."
ps potplayer -ea 0| kill

Install-ChocolateyPackage @packageArgs